package com.aucma.base.mapper;

import java.util.List;

import com.aucma.base.domain.BaseOrderInfo;

/**
 * 工单信息Mapper接口
 *
 * @author Yinq
 * @date 2023-09-27
 */
public interface BaseOrderInfoMapper {
    /**
     * 查询工单信息
     *
     * @param objId 工单信息主键
     * @return 工单信息
     */
    public BaseOrderInfo selectBaseOrderInfoByObjId(Long objId);

    /**
     * 查询工单信息列表
     *
     * @param baseOrderInfo 工单信息
     * @return 工单信息集合
     */
    public List<BaseOrderInfo> selectBaseOrderInfoList(BaseOrderInfo baseOrderInfo);

    /**
     * 新增工单信息
     *
     * @param baseOrderInfo 工单信息
     * @return 结果
     */
    public int insertBaseOrderInfo(BaseOrderInfo baseOrderInfo);

    /**
     * 修改工单信息
     *
     * @param baseOrderInfo 工单信息
     * @return 结果
     */
    public int updateBaseOrderInfo(BaseOrderInfo baseOrderInfo);

    /**
     * 删除工单信息
     *
     * @param objId 工单信息主键
     * @return 结果
     */
    public int deleteBaseOrderInfoByObjId(Long objId);

    /**
     * 批量删除工单信息
     *
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseOrderInfoByObjIds(Long[] objIds);
}
